<?php

namespace App\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;

class CustomScheduleAvailableRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */
    public function authorize(): bool
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        $rules = [
            'provider_id' => 'required|exists:providers,id',
        ];

        return $rules;
    }

    /**
     * Get custom messages for validator errors.
     */
    public function messages(): array
    {
        return [
            'provider_id.required' => __('requests.custom_schedule_available.provider_id_required'),
            'provider_id.exists'   => __('requests.custom_schedule_available.provider_not_found'),
        ];
    }
}
